Skip to main content
Base path: /api/kalshi/

Orders

MethodEndpointDescription
POST/order/Create order (limit or market)
GET/order/List user orders
DELETE/order/:idCancel order
POST/order/close-positionClose/redeem position

Create Order

POST /api/kalshi/order/
{
  "marketId": "string (ticker)",
  "side": "yes" | "no",
  "amount": 5,
  "orderType": "market" | "limit",
  "price": 60,
  "orderMode": "dollars" | "shares"
}

Markets

MethodEndpointDescription
GET/markets/List markets (filter by event)
GET/markets/:idGet single market
GET/markets/:id/orderbookPublic orderbook
GET/markets/:id/candlesticksOHLC price data

Events

MethodEndpointDescription
GET/events/List events

Portfolio

MethodEndpointDescription
GET/portfolio/balanceAccount balance
GET/portfolio/positionsOpen positions
GET/portfolio/fillsTrade history
GET/portfolio/settlementsResolved positions